curl --request GET \
--url https://community.dashsocial.com/facebook_comments/{community_interaction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://community.dashsocial.com/facebook_comments/{community_interaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://community.dashsocial.com/facebook_comments/{community_interaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"facebook_parent_comment_id": "<string>",
"is_owned": true,
"text": "<string>",
"assignee_id": 123,
"attachment": {},
"author_profile_picture_url": null,
"author_username": null,
"brand_id": 123,
"brand_user_reply": {
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"resource_id": 123,
"resource_type": "FACEBOOK_COMMENT",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123
},
"comment_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"facebook_comment_id": "<string>",
"facebook_profile_picture_url": null,
"facebook_username": null,
"id": 123,
"is_ad_comment": true,
"is_archived": true,
"is_author_blocked": true,
"is_follow_up": true,
"is_hidden": true,
"is_read": true,
"media_comment_sentiment": {
"negative_percentage": 123,
"neutral_percentage": 123,
"positive_percentage": 123
},
"media_id": 123,
"media_type": "CAROUSEL_ALBUM",
"post_is_carousel": true,
"post_media": {
"comment_count": 123,
"image_sizes": {
"default": "<string>"
},
"media_comment_sentiment": {
"negative_count": 123,
"neutral_count": 123,
"positive_count": 123
},
"media_type": "<string>",
"source_created_at": "2023-11-07T05:31:56Z",
"caption": "<string>",
"likes": 123,
"user_avatar": "<string>",
"user_handle": "<string>"
},
"post_thumbnail_url": "<string>",
"replies": [
{
"facebook_parent_comment_id": "<string>",
"is_owned": true,
"text": "<string>",
"assignee_id": 123,
"attachment": {},
"author_profile_picture_url": null,
"author_username": null,
"brand_id": 123,
"brand_user_reply": {
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"resource_id": 123,
"resource_type": "FACEBOOK_COMMENT",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123
},
"created_at": "2023-11-07T05:31:56Z",
"facebook_comment_id": "<string>",
"facebook_profile_picture_url": null,
"facebook_username": null,
"id": 123,
"is_ad_comment": true,
"is_archived": true,
"is_author_blocked": true,
"is_follow_up": true,
"is_hidden": true,
"is_read": true,
"media_id": 123,
"media_type": "CAROUSEL_ALBUM",
"post_is_carousel": true,
"post_media": {
"comment_count": 123,
"image_sizes": {
"default": "<string>"
},
"media_comment_sentiment": {
"negative_count": 123,
"neutral_count": 123,
"positive_count": 123
},
"media_type": "<string>",
"source_created_at": "2023-11-07T05:31:56Z",
"caption": "<string>",
"likes": 123,
"user_avatar": "<string>",
"user_handle": "<string>"
},
"post_thumbnail_url": "<string>",
"search_result_snippet": "<string>",
"sentiment": {
"is_negative": true,
"is_neutral": true,
"is_positive": true,
"is_question": true
},
"source_updated_at": "2023-11-07T05:31:56Z",
"tag_ids": [
123
],
"tickets": [
{
"label": "<string>",
"source_created_at": "<string>",
"source_id": "<string>",
"source_updated_at": "<string>",
"status": "<string>",
"message_id": 123,
"source": "SALESFORCE"
}
],
"type": "COMMUNITY_INTERACTION",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"search_result_snippet": "<string>",
"sentiment": {
"is_negative": true,
"is_neutral": true,
"is_positive": true,
"is_question": true
},
"source_updated_at": "2023-11-07T05:31:56Z",
"tag_ids": [
123
],
"tickets": [
{
"label": "<string>",
"source_created_at": "<string>",
"source_id": "<string>",
"source_updated_at": "<string>",
"status": "<string>",
"message_id": 123,
"source": "SALESFORCE"
}
],
"type": "COMMUNITY_INTERACTION",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Get a comment
Get a single comment by given parameters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the comment
x >= 0Query Parameters
Additionally return the parent comment or the just the comment itself.
Response
OK
The parent comment ID provided by Facebook.
Whether the brand posted this comment.
The comment body.
The ID of the user to whom the interaction is assigned.
Attachment on the comment.
The profile picture URL of the author.
The handle of the author.
The community interaction's brand ID.
Brand user that created the reply.
Show child attributes
Show child attributes
The total number of comments on the Facebook post.
When the comment was created.
The comment ID provided by Facebook.
The profile picture URL of the comment author.
The user handle of the comment author.
The comment's ID.
Whether the comment is from ads.
Whether the community interaction is marked as archived.
Whether the user is blocked.
Whether the community interaction is marked as follow-up.
Whether the comment is marked as hidden.
Whether the community interaction is marked as read.
The overall sentiment of the post's comments.
Show child attributes
Show child attributes
The ID of the media the comment was made on.
The media type of the post.
CAROUSEL_ALBUM, IMAGE, REELS, SHORTS, VIDEO Whether the post is a carousel.
Info about the media the comment was made on.
Show child attributes
Show child attributes
The image thumbnail url of the original post.
A list of replies to the this comment.
Show child attributes
Show child attributes
Indicates how many messages match the query.
The comment sentiment.
Show child attributes
Show child attributes
When the comment was created.
List of tag IDs associated with the community interaction.
The tickets created for this community interaction.
Show child attributes
Show child attributes
The community interaction type.
COMMUNITY_INTERACTION, FACEBOOK_COMMENT, FACEBOOK_CONVERSATION, INSTAGRAM_COMMENT, INSTAGRAM_CONVERSATION, TIKTOK_COMMENT, TWITTER_CONVERSATION, TWITTER_MENTION, TWITTER_QUOTE, TWITTER_RETWEET, YOUTUBE_COMMENT The last time when the comment was updated.